import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API

// 查询非本序废品列表
export function listReject(query) {
  return request({
    url: baseUrl+ '/business/noCurrentReject/list',
    method: 'get',
    params: query
  })
}

// 查询非本序废品详细
export function getInfo(id) {
  return request({
    url: baseUrl+'/business/noCurrentReject/' + id,
    method: 'get'
  })
}

// 保存
export function save(data) {
  return request({
    url: baseUrl+ '/business/noCurrentReject/save',
    method: 'post',
    data: data
  })
}

// 修改非本序废品
export function updateReject(data) {
  return request({
    url: baseUrl+'/business/noCurrentReject',
    method: 'put',
    data: data
  })
}

// 查询用户
export function selectUserList(data) {
  return request({
    url: baseUrl+'/business/noCurrentReject/userList/'+data,
    method: 'get',
  })
}


// 删除非本序废品
export function delReject(id) {
  return request({
    url: baseUrl+'/business/noCurrentReject/' + id,
    method: 'delete'
  })
}
